Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# GT2005BasicBehaviorGoToInterceptionPoint Class Reference

A Basic Behavior for going to a the ball-interception-point on the field. More...

`#include <GT2005SimpleBasicBehaviors.h>`

Inheritance diagram for GT2005BasicBehaviorGoToInterceptionPoint:

[legend]
Collaboration diagram for GT2005BasicBehaviorGoToInterceptionPoint:

[legend]
List of all members.

## Public Member Functions
| GT2005BasicBehaviorGoToInterceptionPoint (BehaviorControlInterfaces &interfaces, Xabsl2ErrorHandler &errorHandler)
virtual void | execute ()
| Executes the basic behavior.
## Private Attributes
double | x
| parameter "interception-point.x"
double | y
| parameter "interception-point.y"
double | distanceAtEnd
| parameter "go-to-ball.distance"
double | maxSpeed
| parameter "go-to-ball.max-speed"
double | maxSpeedY
| parameter "go-to-ball.max-speed.y"
WalkAccelerationRestrictor | accelerationRestrictor
| Restricts the walk acceleration to maximum values.
double | yOffset
| parameter "go-to-ball.y-offset"
double | walkType
| parameter "walk-type"
double | maxTurnSpeed
| parameter "max-turn-speed"
double | angleFactor
| parameter "go-to-ball.angle-factor"
double | slowDownDistance
| parameter "go-to-ball.slow-down-distance"

## Detailed Description

A Basic Behavior for going to a the ball-interception-point on the field.

Author:
  Christine Zarges

  Thorsten Kerkhof

Definition at line 438 of file GT2005SimpleBasicBehaviors.h.

## Constructor & Destructor Documentation

GT2005BasicBehaviorGoToInterceptionPoint::GT2005BasicBehaviorGoToInterceptionPoint | ( | BehaviorControlInterfaces & | interfaces,
|  | Xabsl2ErrorHandler & | errorHandler
| ) | `[inline]`

| Definition at line 446 of file GT2005SimpleBasicBehaviors.h. References point, and Xabsl2BasicBehavior::registerParameter().

Here is the call graph for this function:

## Member Function Documentation

void GT2005BasicBehaviorGoToInterceptionPoint::execute | ( |  | ) | `[virtual]`

| Executes the basic behavior. Implements Xabsl2BasicBehavior. Definition at line 1095 of file GT2005SimpleBasicBehaviors.cpp. References Geometry::angleTo(), Geometry::distanceTo(), fromDegrees(), max, min, MotionRequest::motionType, Vector2< V >::normalize(), pi, Pose2D::rotation, Pose2D::translation, WalkRequest::walkParams, MotionRequest::walkRequest, WalkRequest::walkType, Vector2< V >::x, Vector2< double >::x, Vector2< V >::y, and Vector2< double >::y.

Here is the call graph for this function:

## Member Data Documentation

double GT2005BasicBehaviorGoToInterceptionPoint::x`[private]`

| parameter "interception-point.x" Definition at line 469 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::y`[private]`

| parameter "interception-point.y" Definition at line 472 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::distanceAtEnd`[private]`

| parameter "go-to-ball.distance" Definition at line 475 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::maxSpeed`[private]`

| parameter "go-to-ball.max-speed" Definition at line 478 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::maxSpeedY`[private]`

| parameter "go-to-ball.max-speed.y" Definition at line 481 of file GT2005SimpleBasicBehaviors.h.

WalkAccelerationRestrictor GT2005BasicBehaviorGoToInterceptionPoint::accelerationRestrictor`[private]`

| Restricts the walk acceleration to maximum values. Definition at line 484 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::yOffset`[private]`

| parameter "go-to-ball.y-offset" Definition at line 487 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::walkType`[private]`

| parameter "walk-type" Definition at line 490 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::maxTurnSpeed`[private]`

| parameter "max-turn-speed" Definition at line 493 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::angleFactor`[private]`

| parameter "go-to-ball.angle-factor" Definition at line 496 of file GT2005SimpleBasicBehaviors.h.

double GT2005BasicBehaviorGoToInterceptionPoint::slowDownDistance`[private]`

| parameter "go-to-ball.slow-down-distance" Definition at line 499 of file GT2005SimpleBasicBehaviors.h.

The documentation for this class was generated from the following files:

- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.h
- Modules/BehaviorControl/GT2005BehaviorControl/GT2005BasicBehaviors/GT2005SimpleBasicBehaviors.cpp